Results 1 to 3 of 3

Thread: Unity doesn't work with latest amd driver?

  1. #1
    Join Date
    Feb 2012
    Beans
    86

    Unity doesn't work with latest amd driver?

    Hey everyone,
    I just got Steam, and downloaded a game. It took a while, then told me I need the latest OpenGL software for my driver. So, I went to amd.com, found my driver( for the Radeon HD 6570 ) and, not to mention I couldn't do a non-force install, whenever it finished installing, and I rebooted, Unity was gone. To expand on what I meant whenever I said non-force install, it told me I still had fglrx drivers in my computer and I needed to remove them, or optionally use --force. I did the whole sudo apt-get remove --purge fglrx fglrx-dev* etc.... and it still said I had fglrx drivers, so I just used --force. So if anyone could guide me through a way to get the drivers for my card, and still keep Unity somehow, that would be great, Thanks.

    I have Ubuntu 12.04 if that matters at all.

  2. #2
    Join Date
    Nov 2012
    Location
    France
    Beans
    111
    Distro
    Xubuntu 14.10 Utopic Unicorn

    Re: Unity doesn't work with latest amd driver?

    Install the driver from the Ubuntu repositories, not from AMD's web site (unless you absolutely want a very recent version of the driver).

    Also, Steam is evil.

    AMD and NVIDIA websites: confusing people since 2007.®

  3. #3
    Join Date
    Feb 2012
    Beans
    86

    Re: Unity doesn't work with latest amd driver?

    So I just search Synaptic Package Manager for fglrx?

    EDIT: I did that, but this time, it just said I needed to update from the website.
    Last edited by Skullxbagel; January 10th, 2013 at 03:21 AM.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •